From: Shengjing Zhu <zhsj@debian.org>
Date: Tue, 21 Jul 2020 23:07:50 +0800
Subject: Only run TestFuzzCrashers on amd64

---
 bam/bam_test.go | 4 ++++
 1 file changed, 4 insertions(+)

--- a/bam/bam_test.go
+++ b/bam/bam_test.go
@@ -12,6 +12,7 @@
 	"io"
 	"os"
 	"reflect"
+	"runtime"
 	"testing"
 	"time"
 
@@ -2480,6 +2481,9 @@
 }
 
 func TestFuzzCrashers(t *testing.T) {
+	if runtime.GOARCH != "amd64" {
+		t.Skip("run out of memory")
+	}
 	for i, test := range fuzzCrashers {
 		func() {
 			i := i
